Package networkx :: Module isomorph

[frames | no frames]

## Module networkx.isomorph

Fast checking to see if graphs are not isomorphic.

This isn't a graph isomorphism checker.

Function Summary
| ``fast_graph_could_be_isomorphic`(G1, G2)` Returns False if graphs G1 and G2 are definitely not isomorphic.
| ``faster_graph_could_be_isomorphic`(G1, G2)` Returns False if graphs G1 and G2 are definitely not isomorphic.
| ``graph_could_be_isomorphic`(G1, G2)` Returns False if graphs G1 and G2 are definitely not isomorphic.

Variable Summary
`str` | `__author__` = `'Pieter Swart (swart@lanl.gov)\nDan Schult ...`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-05-31 17:00:13 -0600 (Tue, 31 Ma...`
`str` | `__revision__` = `'$Revision: 1002 $'`

Function Details

### fast_graph_could_be_isomorphic(G1, G2)

Returns False if graphs G1 and G2 are definitely not isomorphic. True does NOT garantee isomorphism.

Checks for matching degree and triangle sequences.

### faster_graph_could_be_isomorphic(G1, G2)

Returns False if graphs G1 and G2 are definitely not isomorphic. True does NOT garantee isomorphism.

Checks for matching degree sequences in G1 and G2.

### graph_could_be_isomorphic(G1, G2)

Returns False if graphs G1 and G2 are definitely not isomorphic. True does NOT garantee isomorphism.

Checks for matching degree, triangle, and number of cliques sequences.

Variable Details

### __author__

  Type:
    `str`
  Value:

        '''Pieter Swart (swart@lanl.gov)
        Dan Schult (dschult@colgate.edu)'''

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-05-31 17:00:13 -0600 (Tue, 31 May 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 1002 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net